#include <Configuration.h>
#include <States/GameState/Entities/Pacman/Pacman.h>

Pacman::Pacman() : m_circle{ config::GAME_PACMAN_SIZE } {
    m_circle.setFillColor(config::GAME_COLOR_PACMAN);
    m_circle.setOrigin(config::GAME_PACMAN_SIZE/2, config::GAME_PACMAN_SIZE/2);
}

void Pacman::move(const Room::Direction direction) {
    m_ptr_room->get_side(direction)->enter(this);
}

void Pacman::draw_into(sf::RenderWindow& window) const {
    window.draw(m_circle);
}

void Pacman::prepare_for_drawing() {
    m_circle.setPosition(m_ptr_room->get_position());
}