#include <States/GameState/Entities/StaticEntities/StaticEntities.h>
#include <Configuration.h>

Food::Food() : m_circle(config::GAME_FOOD_SIZE, 6) {
    m_circle.setFillColor(config::GAME_FOOD_COLOR);
    m_circle.setOrigin({config::GAME_FOOD_SIZE/2, config::GAME_FOOD_SIZE/2});
}

std::unique_ptr<IStaticEntity> Food::clone() const {
    return std::make_unique<Food>(*this);
}

void Food::draw_into(sf::RenderWindow& window) const {
    window.draw(m_circle);
}

void Food::prepare_for_drawing() {
    m_circle.setPosition(m_ptr_room->get_position());
}

